--- title: "Add FileHash to Blocklist or Allowlist" slug: "add-filehash-to-blocklist-or-allowlist-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/add-filehash-to-blocklist-or-allowlist-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add FileHash to Blocklist or Allowlist This URL adds the filehash to either the blocklist or allowlist. ### Resource URL POST /advancedmalware?type= ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `type` | Hashtype. Can be allow or block. | String | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `filehash` | File hash | String | Yes | | `Filename` | File name | String | No | | `comment` | Comment | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `createdResourceId` | CreatedResourceId: Set to 1 if the operation was successful. | Number | ### Example **Request** POST [https://NSM_IP/sdkapi/advancedmalware?type=block](https://<NSM_IP>/sdkapi/advancedmalware?type=block) **Payload** ``` { "fileHash":"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16", "fileName":"file1", "comment":"Blocked filehash " } ``` **Response** ``` { "createdResourceId": 1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Hash value is required | | 2 | 500 | 1003 | Invalid file hash. It should be a 32-digit hexadecimal value. | | 3 | 500 | 1005 | This hash already exists on the allowlist/blocklist. | | 4 | 500 | 1004 | Duplicate hash detected. A file with the same hash already exists on this list. | | 5 | 500 | 1001 | File hashes entries has exceeded the maximum support limit of 99,000. |